Subject: Re: bug#46137: 27.1.90; Eshell TAB completion adds TAB to prompt

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 14 Jun 2022 15:16:45 +0200

Pedro <[email-masked]> writes:

> 1: emacs -Q -nw
>
> 2: M-x eshell
>
> 3: /bin/ls Mu<TAB> # completes to Music
>
> 4: observe TAB character after '$' prompt
>
> Does not happen if I use the eshell/ls command

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I can reproduce this problem in Emacs 27.2, but not in Emacs 29, so it
looks like it's been fixed in the time since this was reported, and I'm
therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no